Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class RegistryHandler

    java.lang.Object
      com.verisign.epp.framework.EPPRegistryHandler
          com.verisign.epp.serverstub.RegistryHandler

All Implemented Interfaces:
  EPPEventHandler

    public class RegistryHandler

extends EPPRegistryHandler

Constructor Summary
`RegistryHandler()`

Method Summary
`protected EPPEventResponse` | `doRegistryCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Check command is received.
`protected EPPEventResponse` | `doRegistryCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Create command is received.
`protected EPPEventResponse` | `doRegistryDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Delete command is received.
`protected EPPEventResponse` | `doRegistryInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Info command is received.
`protected EPPEventResponse` | `doRegistryUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Update command is received.

Methods inherited from class com.verisign.epp.framework.EPPRegistryHandler
`getNamespace, handleEvent, postHandleEvent, preHandleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryHandler

    public RegistryHandler()

Method Detail

### doRegistryCreate

    protected EPPEventResponse doRegistryCreate(EPPEvent aEvent,
                                                java.lang.Object aData)

  Description copied from class: `EPPRegistryHandler`
  Invoked when a Registry Create command is received. Subclasses should define the behavior when a Registry Create command is received.

  Specified by:
    `doRegistryCreate` in class `EPPRegistryHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doRegistryUpdate

    protected EPPEventResponse doRegistryUpdate(EPPEvent aEvent,
                                                java.lang.Object aData)

  Description copied from class: `EPPRegistryHandler`
  Invoked when a Registry Update command is received. Subclasses should define the behavior when a Registry Update command is received.

  Specified by:
    `doRegistryUpdate` in class `EPPRegistryHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doRegistryCheck

    protected EPPEventResponse doRegistryCheck(EPPEvent aEvent,
                                               java.lang.Object aData)

  Description copied from class: `EPPRegistryHandler`
  Invoked when a Registry Check command is received. Subclasses should define the behavior when a Registry Check command is received.

  Specified by:
    `doRegistryCheck` in class `EPPRegistryHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doRegistryInfo

    protected EPPEventResponse doRegistryInfo(EPPEvent aEvent,
                                              java.lang.Object aData)

  Description copied from class: `EPPRegistryHandler`
  Invoked when a Registry Info command is received. Subclasses should define the behavior when a Registry Info command is received.

  Specified by:
    `doRegistryInfo` in class `EPPRegistryHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

### doRegistryDelete

    protected EPPEventResponse doRegistryDelete(EPPEvent aEvent,
                                                java.lang.Object aData)

  Invoked when a Registry Delete command is received.

  Specified by:
    `doRegistryDelete` in class `EPPRegistryHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
  Returns:
    EPPEventResponse The response that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.